﻿-- USER SQL
DROP USER SCO_IMPORT CASCADE;
CREATE USER SCO_IMPORT IDENTIFIED BY bdlmmdesco_import;
ALTER USER SCO_IMPORT DEFAULT TABLESPACE DATA_GRHUM TEMPORARY TABLESPACE TEMP quota unlimited on DATA_GRHUM quota unlimited on INDX_GRHUM;

GRANT CREATE SESSION TO SCO_IMPORT;

GRANT SELECT, references on SCOLARITE.SCOL_MAQUETTE_AP              TO SCO_IMPORT;
GRANT SELECT, references on SCOLARITE.SCOL_MAQUETTE_REPARTITION_AP  TO SCO_IMPORT;
GRANT SELECT, references on SCOLARITE.SCOL_MAQUETTE_EC              TO SCO_IMPORT;
GRANT SELECT, references on SCOLARITE.SCOL_MAQUETTE_UE              TO SCO_IMPORT;
GRANT SELECT, references on SCOLARITE.SCOL_MAQUETTE_PARCOURS        TO SCO_IMPORT;
GRANT SELECT, references on SCOLARITE.SCOL_MAQUETTE_HORAIRE_CODE    TO SCO_IMPORT;
GRANT SELECT, references on SCOLARITE.SCOL_MAQUETTE_HORAIRE_MODE    TO SCO_IMPORT;
GRANT SELECT, references on SCOLARITE.SCOL_FORMATION_ANNEE          TO SCO_IMPORT;
GRANT SELECT, references on SCOLARITE.SCOL_FORMATION_DIPLOME        TO SCO_IMPORT;
GRANT SELECT, references on SCOLARITE.SCOL_FORMATION_DIPLOME_SISE   TO SCO_IMPORT;
GRANT SELECT, references on SCOLARITE.SCOL_FORMATION_DISCIPLINE     TO SCO_IMPORT;
GRANT SELECT, references on SCOLARITE.SCOL_FORMATION_DOMAINE        TO SCO_IMPORT;
GRANT SELECT, references on SCOLARITE.SCOL_FORMATION_GRADE          TO SCO_IMPORT;
GRANT SELECT, references on SCOLARITE.SCOL_FORMATION_SPECIALISATION TO SCO_IMPORT;
GRANT SELECT, references on SCOLARITE.SCOL_FORMATION_SPECIALITE     TO SCO_IMPORT;
GRANT SELECT, references on SCOLARITE.SCOL_FORMATION_VOCATION       TO SCO_IMPORT;

GRANT SELECT, INSERT, UPDATE, DELETE, references on SCO_SCOLARITE.AP              	 TO SCO_IMPORT;
GRANT SELECT, INSERT, UPDATE, DELETE, references on SCO_SCOLARITE.COMPOSANT       	 TO SCO_IMPORT;
GRANT SELECT, INSERT, UPDATE, DELETE, references on SCO_SCOLARITE.CREDITABLE      	 TO SCO_IMPORT;
GRANT SELECT, INSERT, UPDATE, DELETE, references on SCO_SCOLARITE.DIPLOME         	 TO SCO_IMPORT;
GRANT SELECT, INSERT, UPDATE, DELETE, references on SCO_SCOLARITE.DOMAINE         	 TO SCO_IMPORT;
GRANT SELECT, INSERT, UPDATE, DELETE, references on SCO_SCOLARITE.EC              	 TO SCO_IMPORT;
GRANT SELECT, INSERT, UPDATE, DELETE, references on SCO_SCOLARITE.GRADE_UNIVERSITAIRE    TO SCO_IMPORT;
GRANT SELECT, INSERT, UPDATE, DELETE, references on SCO_SCOLARITE.LIEN                	 TO SCO_IMPORT;
GRANT SELECT, INSERT, UPDATE, DELETE, references on SCO_SCOLARITE.MENTION             	 TO SCO_IMPORT;
GRANT SELECT, INSERT, UPDATE, DELETE, references on SCO_SCOLARITE.MODE_AP             	 TO SCO_IMPORT;
GRANT SELECT, INSERT, UPDATE, DELETE, references on SCO_SCOLARITE.PARCOURS            	 TO SCO_IMPORT;
GRANT SELECT, INSERT, UPDATE, DELETE, references on SCO_SCOLARITE.PERIODE             	 TO SCO_IMPORT;
GRANT SELECT, INSERT, UPDATE, DELETE, references on SCO_SCOLARITE.SPECIALITE          	 TO SCO_IMPORT;
GRANT SELECT, INSERT, UPDATE, DELETE, references on SCO_SCOLARITE.STATUT_FORMATION    	 TO SCO_IMPORT;
GRANT SELECT, INSERT, UPDATE, DELETE, references on SCO_SCOLARITE.TYPE_AP		 TO SCO_IMPORT;
GRANT SELECT, INSERT, UPDATE, DELETE, references on SCO_SCOLARITE.TYPE_FORMATION	 TO SCO_IMPORT;
GRANT SELECT, INSERT, UPDATE, DELETE, references on SCO_SCOLARITE.TYPE_ORGANISATION	 TO SCO_IMPORT;
GRANT SELECT, INSERT, UPDATE, DELETE, references on SCO_SCOLARITE.UE			 TO SCO_IMPORT;

GRANT SELECT ON SCO_SCOLARITE.COMPOSANT_SEQ 	TO SCO_IMPORT;
GRANT SELECT ON SCO_SCOLARITE.LIEN_SEQ 		TO SCO_IMPORT;

CREATE OR REPLACE DIRECTORY W_FILE_NON_SCOLARIX AS '/home/oracle/SCO_IMPORT';
GRANT READ, WRITE ON DIRECTORY W_FILE_NON_SCOLARIX TO SCO_IMPORT;

-- GRANT CREATE, DELETE TABLE TO SCO_IMPORT; Cela crée une erreur !!!

------------------------------------------------------------------------------------------------------------------------------------------------------------------
------------------------------------------------------------------ Table d'imports des nomenclatures ----------------------------------------------------------------
------------------------------------------------------------------------------------------------------------------------------------------------------------------
CREATE TABLE SCO_IMPORT.IMPORT_DISCIPLINE(
  	ID 			NUMBER(38) NOT NULL,
  	CODE 			VARCHAR2(255),
  	KEY 			NUMBER(12,0),
  	LIBELLE 		VARCHAR2(255),
  	LIBELLE_COURT 		VARCHAR2(255),
  	VALIDE  		NUMBER(1) DEFAULT 0,
  	PRIMARY KEY (ID)
);
CREATE SEQUENCE   SCO_IMPORT.IMPORT_DISCIPLINE_SEQ START WITH 1;
COMMENT ON TABLE  SCO_IMPORT.IMPORT_DISCIPLINE 				IS 'Table tampon pour l''import des disciplines';
COMMENT ON COLUMN SCO_IMPORT.IMPORT_DISCIPLINE.CODE 			IS 'Code de la discipline';
COMMENT ON COLUMN SCO_IMPORT.IMPORT_DISCIPLINE.KEY 			IS 'Clé de la discipline (permet de faire lien avec le user SCOLARITE)';
COMMENT ON COLUMN SCO_IMPORT.IMPORT_DISCIPLINE.LIBELLE 			IS 'Libellé de la discipline';
COMMENT ON COLUMN SCO_IMPORT.IMPORT_DISCIPLINE.LIBELLE_COURT 		IS 'Libellé court de la discipline';
COMMENT ON COLUMN SCO_IMPORT.IMPORT_DISCIPLINE.VALIDE 			IS 'Indique si la discipline est valide pour l''année en cours (0/1)';



CREATE TABLE SCO_IMPORT.IMPORT_DOMAINE(
  	ID 			NUMBER(38) NOT NULL,
  	CODE 			VARCHAR2(255),
  	LIBELLE 		VARCHAR2(255),
  	LIBELLE_COURT 		VARCHAR2(255),
  	TYPE 			VARCHAR(255),
    	VALIDE  		NUMBER(1) DEFAULT 0,
  	PRIMARY KEY (ID)
);
CREATE SEQUENCE   SCO_IMPORT.IMPORT_DOMAINE_SEQ START WITH 1;
COMMENT ON TABLE  SCO_IMPORT.IMPORT_DOMAINE 				IS 'Table tampon pour l''import des domaines';
COMMENT ON COLUMN SCO_IMPORT.IMPORT_DOMAINE.CODE 			IS 'Code du domaine';
COMMENT ON COLUMN SCO_IMPORT.IMPORT_DOMAINE.LIBELLE 			IS 'Libellé du domaine';
COMMENT ON COLUMN SCO_IMPORT.IMPORT_DOMAINE.LIBELLE_COURT 		IS 'Libellé court du domaine';
COMMENT ON COLUMN SCO_IMPORT.IMPORT_DOMAINE.TYPE 			IS 'Type du domaine';
COMMENT ON COLUMN SCO_IMPORT.IMPORT_DOMAINE.VALIDE 			IS 'Indique si le domaine est valide pour l''année en cours (0/1)';



CREATE TABLE SCO_IMPORT.IMPORT_GRADE(
  	ID 			NUMBER(38) NOT NULL,
  	CODE 			VARCHAR2(255),
  	LIBELLE 		VARCHAR2(255),
  	LIBELLE_COURT 		VARCHAR2(255),
  	TYPE 			VARCHAR(255),
    	VALIDE  		NUMBER(1) DEFAULT 0,
  	PRIMARY KEY (ID)
);
CREATE SEQUENCE SCO_IMPORT.IMPORT_GRADE_SEQ START WITH 1;
COMMENT ON TABLE  SCO_IMPORT.IMPORT_GRADE 				IS 'Table tampon pour l''import des grades';
COMMENT ON COLUMN SCO_IMPORT.IMPORT_GRADE.CODE 				IS 'Code du grade';
COMMENT ON COLUMN SCO_IMPORT.IMPORT_GRADE.LIBELLE 			IS 'Libellé du grade';
COMMENT ON COLUMN SCO_IMPORT.IMPORT_GRADE.LIBELLE_COURT 		IS 'Libellé court du grade';
COMMENT ON COLUMN SCO_IMPORT.IMPORT_GRADE.TYPE 				IS 'Type du grade';
COMMENT ON COLUMN SCO_IMPORT.IMPORT_GRADE.VALIDE 			IS 'Indique si le grade est valide pour l''année en cours (0/1)';



CREATE TABLE SCO_IMPORT.IMPORT_MODE_AP (
  	ID 			NUMBER(38) NOT NULL,
  	CODE 			VARCHAR2(255),
  	LIBELLE_COURT 		VARCHAR2(255),
	LIBELLE 		VARCHAR2(255),
  	PRIMARY KEY (ID)
);
CREATE SEQUENCE   SCO_IMPORT.IMPORT_MODE_AP_SEQ START WITH 1;
COMMENT ON TABLE  SCO_IMPORT.IMPORT_MODE_AP 				IS 'Table tampon pour l''import du mode d''AP';
COMMENT ON COLUMN SCO_IMPORT.IMPORT_MODE_AP.CODE 			IS 'Code du type du mode d''AP';
COMMENT ON COLUMN SCO_IMPORT.IMPORT_MODE_AP.LIBELLE_COURT 		IS 'Libellé court du mode d''AP';
COMMENT ON COLUMN SCO_IMPORT.IMPORT_MODE_AP.LIBELLE 			IS 'Libellé du mode d''AP';



CREATE TABLE SCO_IMPORT.IMPORT_SPECIALISATION(
  	ID 			NUMBER(38) NOT NULL,
	KEY 			NUMBER(12,0),
  	CODE 			VARCHAR2(255),
  	LIBELLE 		VARCHAR2(255),
  	LIBELLE_COURT 		VARCHAR2(255),
  	PRIMARY KEY (ID)
);
CREATE SEQUENCE   SCO_IMPORT.IMPORT_SPECIALISATION_SEQ START WITH 1;
COMMENT ON TABLE  SCO_IMPORT.IMPORT_SPECIALISATION 			IS 'Table tampon pour l''import des spécialisations';
COMMENT ON COLUMN SCO_IMPORT.IMPORT_SPECIALISATION.CODE 		IS 'Code de la spécialisation';
COMMENT ON COLUMN SCO_IMPORT.IMPORT_SPECIALISATION.CODE 		IS 'Clé de la spécialisation (permet de faire le lien avec le user SCOLARITE)';
COMMENT ON COLUMN SCO_IMPORT.IMPORT_SPECIALISATION.LIBELLE 		IS 'Libellé de la spécialisation';
COMMENT ON COLUMN SCO_IMPORT.IMPORT_SPECIALISATION.LIBELLE_COURT 	IS 'Libellé court de la spécialisation';



CREATE TABLE SCO_IMPORT.IMPORT_SPECIALITE(
  	ID 			NUMBER(38) NOT NULL,
  	CODE 			VARCHAR2(255),
  	LIBELLE 		VARCHAR2(255),
  	LIBELLE_COURT 		VARCHAR2(255),
  	VALIDE  		NUMBER(1) DEFAULT 0,
  	PRIMARY KEY (ID)
);
CREATE SEQUENCE   SCO_IMPORT.IMPORT_SPECIALITE_SEQ START WITH 1;
COMMENT ON TABLE  SCO_IMPORT.IMPORT_SPECIALITE 				IS 'Table tampon pour l''import des spécialités';
COMMENT ON COLUMN SCO_IMPORT.IMPORT_SPECIALITE.CODE 			IS 'Code de la spécialité';
COMMENT ON COLUMN SCO_IMPORT.IMPORT_SPECIALITE.LIBELLE 			IS 'Libellé de la spécialité';
COMMENT ON COLUMN SCO_IMPORT.IMPORT_SPECIALITE.LIBELLE_COURT 		IS 'Libellé court de la spécialité';
COMMENT ON COLUMN SCO_IMPORT.IMPORT_SPECIALITE.VALIDE 			IS 'Indique si la spécialité est valide pour l''année en cours (0/1)';



CREATE TABLE SCO_IMPORT.IMPORT_STATUT_FORMATION (
  	ID 			NUMBER(38) NOT NULL,
  	CODE 			VARCHAR2(255),
	LIBELLE 		VARCHAR2(255),
  	PRIMARY KEY (ID)
);
CREATE SEQUENCE   SCO_IMPORT.IMPORT_STATUT_FORMATION_SEQ START WITH 1;
COMMENT ON TABLE  SCO_IMPORT.IMPORT_STATUT_FORMATION 			IS 'Table tampon pour l''import des statuts de formation';
COMMENT ON COLUMN SCO_IMPORT.IMPORT_STATUT_FORMATION.CODE 		IS 'Code du statuts de formation';
COMMENT ON COLUMN SCO_IMPORT.IMPORT_STATUT_FORMATION.LIBELLE 		IS 'Libellé du statuts de formation';



CREATE TABLE SCO_IMPORT.IMPORT_TYPE_AP (
  	ID 			NUMBER(38) NOT NULL,
  	CODE 			VARCHAR2(255),
  	LIBELLE_COURT 		VARCHAR2(255),
	LIBELLE 		VARCHAR2(255),
  	PRIMARY KEY (ID)
);
CREATE SEQUENCE   SCO_IMPORT.IMPORT_TYPE_AP_SEQ START WITH 1;
COMMENT ON TABLE  SCO_IMPORT.IMPORT_TYPE_AP 				IS 'Table tampon pour l''import du type d''AP';
COMMENT ON COLUMN SCO_IMPORT.IMPORT_TYPE_AP.CODE 			IS 'Code du type du type d''AP';
COMMENT ON COLUMN SCO_IMPORT.IMPORT_TYPE_AP.LIBELLE_COURT 		IS 'Libellé court du type d''AP';
COMMENT ON COLUMN SCO_IMPORT.IMPORT_TYPE_AP.LIBELLE 			IS 'Libellé du type d''AP';



CREATE TABLE SCO_IMPORT.IMPORT_TYPE_ORGANISATION (
  	ID 			NUMBER(38) NOT NULL,
  	KEY 			VARCHAR2(255),
  	CODE 			VARCHAR2(255),
	LIBELLE 		VARCHAR2(255),
  	PRIMARY KEY (ID)
);
CREATE SEQUENCE   SCO_IMPORT.IMPORT_TYPE_ORGANISATION_SEQ START WITH 1;
COMMENT ON TABLE  SCO_IMPORT.IMPORT_TYPE_ORGANISATION 			IS 'Table tampon pour l''import des types d''organisation';
COMMENT ON COLUMN SCO_IMPORT.IMPORT_TYPE_ORGANISATION.CODE 		IS 'Code du type d''organisation';
COMMENT ON COLUMN SCO_IMPORT.IMPORT_TYPE_ORGANISATION.KEY 		IS 'Clé du type d''organisation (permet de faire lien avec le user SCOLARITE)';
COMMENT ON COLUMN SCO_IMPORT.IMPORT_TYPE_ORGANISATION.LIBELLE 		IS 'Libellé du type d''organisation';



CREATE TABLE SCO_IMPORT.IMPORT_VOCATION(
  	ID 			NUMBER(38) NOT NULL,
  	CODE 			VARCHAR2(255),
  	LIBELLE 		VARCHAR2(255),
  	LIBELLE_COURT 		VARCHAR2(255),
  	VALIDE  		NUMBER(1) DEFAULT 0,
  	PRIMARY KEY (ID)
);
CREATE SEQUENCE   SCO_IMPORT.IMPORT_VOCATION_SEQ START WITH 1;
COMMENT ON TABLE  SCO_IMPORT.IMPORT_VOCATION 				IS 'Table tampon pour l''import des vocations';
COMMENT ON COLUMN SCO_IMPORT.IMPORT_VOCATION.CODE 			IS 'Code de la vocation';
COMMENT ON COLUMN SCO_IMPORT.IMPORT_VOCATION.LIBELLE 			IS 'Libellé de la vocation';
COMMENT ON COLUMN SCO_IMPORT.IMPORT_VOCATION.LIBELLE_COURT 		IS 'Libellé court de la vocation';
COMMENT ON COLUMN SCO_IMPORT.IMPORT_VOCATION.VALIDE 			IS 'Indique si la vocation est valide pour l''année en cours (0/1)';



CREATE TABLE SCO_IMPORT.Z_ID(
    ID_SOUR 			NUMBER(38,0),
    ID_DEST 			NUMBER(38,0),
    ID_TYPE 			VARCHAR2(255 BYTE)
);
COMMENT ON TABLE  SCO_IMPORT.Z_ID 					IS 'Table tampon pour la synchronisation des ID pour le remplissage et le visage de SCO_IMPORT';
COMMENT ON COLUMN SCO_IMPORT.Z_ID.ID_SOUR 				IS 'ID d''origine';
COMMENT ON COLUMN SCO_IMPORT.Z_ID.ID_DEST 				IS 'ID de destination';
COMMENT ON COLUMN SCO_IMPORT.Z_ID.ID_TYPE 				IS 'Type d''ID';

------------------------------------------------------------------------------------------------------------------------------------------------------------------
------------------------------------------------------------------ Table d'imports des composants ----------------------------------------------------------------
------------------------------------------------------------------------------------------------------------------------------------------------------------------

CREATE TABLE SCO_IMPORT.IMPORT_AP (
  	ID 			NUMBER(38) NOT NULL,
  	VERSION_DIPLOME_ID 	NUMBER,
  	CODE 			VARCHAR2(255),
  	LIBELLE 		VARCHAR2(255),
	TYPE_AP_ID 		NUMBER(38) NOT NULL,
	MODE_AP_ID 		NUMBER(38) NOT NULL,
  	VALEUR_HEURES 		NUMBER,
  	NB_GROUPES 		NUMBER,
    	SEUIL 			NUMBER,
  	PRIMARY KEY (ID)
);
CREATE SEQUENCE   SCO_IMPORT.IMPORT_AP_SEQ START WITH 1;
COMMENT ON TABLE  SCO_IMPORT.IMPORT_AP 					IS 'Table tampon pour l''import des APs';
COMMENT ON COLUMN SCO_IMPORT.IMPORT_AP.VERSION_DIPLOME_ID 		IS 'ID de la version de diplome auquel est rattaché l''AP';
COMMENT ON COLUMN SCO_IMPORT.IMPORT_AP.CODE 				IS 'Code de l''AP';
COMMENT ON COLUMN SCO_IMPORT.IMPORT_AP.LIBELLE 				IS 'Libellé de l''AP';
COMMENT ON COLUMN SCO_IMPORT.IMPORT_AP.TYPE_AP_ID 			IS 'ID du type de l''AP auquel est rattaché l''AP (lien vers la table IMPORT_TYPE_AP)';
COMMENT ON COLUMN SCO_IMPORT.IMPORT_AP.MODE_AP_ID 			IS 'ID du mode de l''AP auquel est rattaché l''AP (lien vers la table IMPORT_MODE_AP)';
COMMENT ON COLUMN SCO_IMPORT.IMPORT_AP.VALEUR_HEURES 			IS 'Nombre d''heures de l''AP';
COMMENT ON COLUMN SCO_IMPORT.IMPORT_AP.NB_GROUPES 			IS 'Nombre de groupes';
COMMENT ON COLUMN SCO_IMPORT.IMPORT_AP.SEUIL 				IS 'Nombre max d''etudiants par groupe';


CREATE TABLE SCO_IMPORT.IMPORT_EC (
  	ID 			NUMBER(38) NOT NULL,
  	DISCIPLINE_ID 		NUMBER,
  	VERSION_DIPLOME_ID 	NUMBER,
  	CODE 			VARCHAR2(255),
  	LIBELLE 		VARCHAR2(255),
  	LIBELLE_COURT 		VARCHAR2(255),
  	CREDIT_ECTS 		NUMBER,
    	TRAVAIL_ETUDIANT 	NUMBER,
    	BASE_NOTE 		NUMBER,
  	PRIMARY KEY (ID)
);
CREATE SEQUENCE   SCO_IMPORT.IMPORT_EC_SEQ START WITH 1;
COMMENT ON TABLE  SCO_IMPORT.IMPORT_EC 					IS 'Table tampon pour l''import des ECs';
COMMENT ON COLUMN SCO_IMPORT.IMPORT_EC.DISCIPLINE_ID 			IS 'ID de la discipline à laquelle est rattaché l''EC (lien vers la table IMPORT_DISCIPLINE)';
COMMENT ON COLUMN SCO_IMPORT.IMPORT_EC.VERSION_DIPLOME_ID 		IS 'ID de la version de diplome auquel est rattaché l''EC';
COMMENT ON COLUMN SCO_IMPORT.IMPORT_EC.CODE 				IS 'Code de l''EC';
COMMENT ON COLUMN SCO_IMPORT.IMPORT_EC.LIBELLE 				IS 'Libellé de l''EC';
COMMENT ON COLUMN SCO_IMPORT.IMPORT_EC.LIBELLE_COURT 			IS 'Libellé court de l''EC';
COMMENT ON COLUMN SCO_IMPORT.IMPORT_EC.CREDIT_ECTS 			IS 'Nombre de crédits ECTS de l''EC';
COMMENT ON COLUMN SCO_IMPORT.IMPORT_EC.TRAVAIL_ETUDIANT 		IS 'Nombre d''heures de travail demandé pour l''étudiant';
COMMENT ON COLUMN SCO_IMPORT.IMPORT_EC.BASE_NOTE 			IS 'Base de notation ou note maximale ';


CREATE TABLE SCO_IMPORT.IMPORT_UE (
  	ID 			NUMBER(38) NOT NULL,
  	DOMAINE_ID 		NUMBER,
  	VERSION_DIPLOME_ID	NUMBER,
  	CODE 			VARCHAR2(255),
  	LIBELLE 		VARCHAR2(255),
  	LIBELLE_COURT 		VARCHAR2(255),
  	CREDIT_ECTS 		NUMBER,
    	TRAVAIL_ETUDIANT 	NUMBER,
    	BASE_NOTE 		NUMBER,
  	PRIMARY KEY (ID)
);
CREATE SEQUENCE   SCO_IMPORT.IMPORT_UE_SEQ START WITH 1;
COMMENT ON TABLE  SCO_IMPORT.IMPORT_UE 					IS 'Table tampon pour l''import des UEs';
COMMENT ON COLUMN SCO_IMPORT.IMPORT_UE.DOMAINE_ID 			IS 'ID du domaine auquel est rattaché l''UE (lien vers la table IMPORT_DOMAINE)';
COMMENT ON COLUMN SCO_IMPORT.IMPORT_UE.VERSION_DIPLOME_ID 		IS 'ID de la version de diplome auquel est rattaché l''UE';
COMMENT ON COLUMN SCO_IMPORT.IMPORT_UE.CODE 				IS 'Code de l''UE';
COMMENT ON COLUMN SCO_IMPORT.IMPORT_UE.LIBELLE 				IS 'Libellé de l''UE';
COMMENT ON COLUMN SCO_IMPORT.IMPORT_UE.LIBELLE_COURT 			IS 'Libellé court de l''UE';
COMMENT ON COLUMN SCO_IMPORT.IMPORT_UE.CREDIT_ECTS 			IS 'Nombre de crédits ECTS de l''UE';
COMMENT ON COLUMN SCO_IMPORT.IMPORT_UE.TRAVAIL_ETUDIANT 		IS 'Nombre d''heures de travail demandé pour l''étudiant';
COMMENT ON COLUMN SCO_IMPORT.IMPORT_UE.BASE_NOTE 			IS 'Base de notation ou note maximale ';


CREATE TABLE SCO_IMPORT.IMPORT_PARCOURS (
  	ID 			NUMBER(38) NOT NULL,
  	SPECIALISATION_ID 	NUMBER, 
  	VOCATION_ID 		NUMBER,
  	VERSION_DIPLOME_ID 	NUMBER,
  	CODE 			VARCHAR2(255),
  	LIBELLE 		VARCHAR2(255),
  	LIBELLE_COURT 		VARCHAR2(255),
  	PRIMARY KEY (ID)
);
CREATE SEQUENCE   SCO_IMPORT.IMPORT_PARCOURS_SEQ START WITH 1;
COMMENT ON TABLE  SCO_IMPORT.IMPORT_PARCOURS 				IS 'Table tampon pour l''import des parcours';
COMMENT ON COLUMN SCO_IMPORT.IMPORT_PARCOURS.SPECIALISATION_ID 		IS 'ID de la spécialisation à laquelle est rattaché le parcours (lien vers la table IMPORT_SPECIALISATION)';
COMMENT ON COLUMN SCO_IMPORT.IMPORT_PARCOURS.VOCATION_ID 		IS 'ID de la vocation à laquelle est rattaché le parcours (lien vers la table IMPORT_VOCATION)';
COMMENT ON COLUMN SCO_IMPORT.IMPORT_PARCOURS.VERSION_DIPLOME_ID 	IS 'ID de la version de diplome auquel est rattaché le parcours';
COMMENT ON COLUMN SCO_IMPORT.IMPORT_PARCOURS.CODE 			IS 'Code du parcours';
COMMENT ON COLUMN SCO_IMPORT.IMPORT_PARCOURS.LIBELLE 			IS 'Libellé du parcours';
COMMENT ON COLUMN SCO_IMPORT.IMPORT_PARCOURS.LIBELLE_COURT 		IS 'Libellé court du parcours';


CREATE TABLE SCO_IMPORT.IMPORT_DIPLOME (
  	ID 			NUMBER(38) NOT NULL,
  	CODE 			VARCHAR2(255),
  	LIBELLE 		VARCHAR2(255),
  	LIBELLE_COURT 		VARCHAR2(255),
  	SISE_MESR 		VARCHAR2(255),
    	GRADE_UNIVERSITAIRE_ID NUMBER,
  	DOMAINE_ID 		NUMBER,
  	VOCATION_ID 		NUMBER,  	
  	TYPE_FORMATION_ID 	NUMBER,
  	TYPE_ORGANISATION_ID	NUMBER,
  	MENTION 		VARCHAR2(255),
  	SPECIALITE 		VARCHAR2(255), 
  	ANNEE_DEPART 		NUMBER, 	
  	ANNEE_ARRIVEE 		NUMBER,
  	MODELE 			VARCHAR2(1),
  	PRIMARY KEY (ID)
);
CREATE SEQUENCE   SCO_IMPORT.IMPORT_DIPLOME_SEQ START WITH 1;
COMMENT ON TABLE  SCO_IMPORT.IMPORT_DIPLOME 				IS 'Table tampon pour l''import des diplomes';
COMMENT ON COLUMN SCO_IMPORT.IMPORT_DIPLOME.CODE 			IS 'Code du diplome';
COMMENT ON COLUMN SCO_IMPORT.IMPORT_DIPLOME.LIBELLE 			IS 'Libellé du diplome';
COMMENT ON COLUMN SCO_IMPORT.IMPORT_DIPLOME.LIBELLE_COURT 		IS 'Libellé court du diplome';
COMMENT ON COLUMN SCO_IMPORT.IMPORT_DIPLOME.SISE_MESR 			IS 'Le code SISE fourni par le MESR (obligatoire)';
COMMENT ON COLUMN SCO_IMPORT.IMPORT_DIPLOME.GRADE_UNIVERSITAIRE_ID 	IS 'Grade universitaire du diplome (lien vers la table GRADE_UNIVERSITAIRE)';
COMMENT ON COLUMN SCO_IMPORT.IMPORT_DIPLOME.DOMAINE_ID 			IS 'ID du domaine auquel est rattaché l''UE (lien vers la table IMPORT_DOMAINE)';
COMMENT ON COLUMN SCO_IMPORT.IMPORT_DIPLOME.VOCATION_ID 		IS 'ID de la vocation à  laquelle est rattaché le diplome (lien vers la table IMPORT_VOCATION)';
COMMENT ON COLUMN SCO_IMPORT.IMPORT_DIPLOME.TYPE_FORMATION_ID 		IS 'Type de la formation (lien vers la table TYPE_FORMATION)';
COMMENT ON COLUMN SCO_IMPORT.IMPORT_DIPLOME.TYPE_ORGANISATION_ID 	IS 'Type d''organisation du diplome (lien vers la table TYPE_ORGANISATION)';
COMMENT ON COLUMN SCO_IMPORT.IMPORT_DIPLOME.MENTION 			IS 'Libellé de la mention du diplome';
COMMENT ON COLUMN SCO_IMPORT.IMPORT_DIPLOME.SPECIALITE 			IS 'Spécialité du diplome';
COMMENT ON COLUMN SCO_IMPORT.IMPORT_DIPLOME.ANNEE_DEPART 		IS 'Numéro de l''année de départ (de 1 à  5)';
COMMENT ON COLUMN SCO_IMPORT.IMPORT_DIPLOME.ANNEE_ARRIVEE 		IS 'Numéro de l''année d''arrivée (de 1 à  5)';
COMMENT ON COLUMN SCO_IMPORT.IMPORT_DIPLOME.MODELE 			IS 'Lettre représentant le "modèle" du diplome (A, B, L, M, D, ...)';


CREATE TABLE SCO_IMPORT.IMPORT_LIEN (
  	ID 			NUMBER(38) NOT NULL,
  	EC_ID 			NUMBER,
  	AP_ID 			NUMBER,
  	SEMESTRE 		NUMBER,
  	MAJEUR 			NUMBER,
  	PRIMARY KEY (ID)
);
CREATE SEQUENCE   SCO_IMPORT.IMPORT_LIEN_SEQ START WITH 1;
COMMENT ON TABLE  SCO_IMPORT.IMPORT_LIEN 				IS 'Table tampon pour l''import des liens';
COMMENT ON COLUMN SCO_IMPORT.IMPORT_LIEN.EC_ID 				IS 'ID de l''EC (correspond au parent dans la nouvelle scol)';
COMMENT ON COLUMN SCO_IMPORT.IMPORT_LIEN.AP_ID 				IS 'ID de l''AP (correspond au child dans la nouvelle scol)';
COMMENT ON COLUMN SCO_IMPORT.IMPORT_LIEN.SEMESTRE 			IS 'à préciser';
COMMENT ON COLUMN SCO_IMPORT.IMPORT_LIEN.MAJEUR 			IS 'à préciser';
